
finplan = function(KF, ohranicenia, znamienka, premenne){
  library("lpSolveAPI")
  n = as.numeric(length(KF)+1)
  m = as.numeric(length(KF))
  model = make.lp(n,m)
  
  ohr = vector()
  a=1
  for(i in 1:n){
    for(j in 1:n){
      ohr[a] = ohranicenia[[j]][[i]]
      a=a+1
    }
  }
  ohr=split(ohr,as.numeric(gl(length(ohr),n,length(ohr)))) 
  
  for(i in 1:m){
    set.column(model,i,ohr[[i]])
  }
  
  set.objfn(model,c(KF))
  set.constr.type(model,c(znamienka))
  set.rhs(model, ohr[[5]])
  colnames = premenne
  lp.control(model,sense='max')
  solve(model)
  if((solve(model))==2){
    return(cat("loha nem rieenie."))
  }
  vysledok = get.objective(model)
  
  hodnotaPremennej = c()
  h=1
  for(o in 1:m){
    hodnotaPremennej[h] = get.variables(model)[o]
    h=h+1
  }

  riesenie = matrix(c(hodnotaPremennej), nrow = m , ncol = 1)
  colnames(riesenie) = "Hodnota"
  rownames(riesenie) = premenne
  cat("Rieenie danho modelu vyzer nasledovne:")
  cat("\n")
  cat("\n")
  print(riesenie)
  cat("\n")
  cat("Hodnota kriterilnej funkcie je: ",vysledok)
}
