prirad = function(vazby, vzdialenosti, penalizacia = list(), vypis = FALSE){

  if(ncol(vazby) != nrow(vzdialenosti) || nrow(vazby) != ncol(vzdialenosti)){
      return( cat("!!! Prosm, skontrolujte si poet riadkov a stpcov matc !!!
    Mus plati: 
    1) Poet stpcov matice vzieb mus by rovnak ako poet riadkov matice vzdialenost.
    2) Poet riadkov matice vzieb mus by rovnak ako poet stpcov matice vzdialenosti."))
    }
  
  n = nrow(vazby)
  p = ncol(vazby)
  if(vypis == TRUE){
    cat("Matica vzieb vyzer nasledovne: ")
    cat("\n")
    print(vazby)
    cat("\n")
    cat("Matica vzdialenost vyzer nasledovne: ")
    cat("\n")
    print(vzdialenosti)
    cat("\n")
  }
  
  C = matrix(nrow = n, ncol = n)
  sucet = 0
  for(i in 1:n){
    for(j in 1:n){
      for(k in 1:p){
        sucet = sucet + vazby[i,k] * vzdialenosti[k,j]
        C[i,j] = sucet
      }
        sucet=0
    }
  }
  
  if(vypis==TRUE){
    cat("Kede mme zadan maticu vzieb a vzdialenost v sprvnom tvare, meme si vypota cenov maticu. 
Cenov matica vznikne vynsobenm danch matc.")
    cat("\n")
    print(C)
    cat("\n")
    }
  
  if(vypis == TRUE && as.numeric(length(penalizacia))!=0){
  cat("Po vpote cenovej matice musme dodra uren penalizciu.")
  cat("\n")}
  dlzka = as.numeric(length(penalizacia))
  max = C[as.numeric(which.max(C))]
  if(dlzka>0){
  for(i in 1:dlzka){
    C[penalizacia[[i]][1],penalizacia[[i]][2]] = max * 1000
  }
  }

  if(vypis == TRUE && as.numeric(length(penalizacia))!=0){
  print(C)
  }
  
  library(lpSolve)
  riesenie = lp.assign(C)$solution
  riesenieHodnoty = riesenie*C
  hodnota = lp.assign(C)$objval
  
  
  if(vypis == TRUE){
  cat("\n")
  cat("Vsledn matica priraden vyzer nasledovne: ")
  cat("\n")}
  print(riesenie)
  if(vypis == TRUE){
    cat("\n")
    cat("Hodnota kriterilnej funkcie je ", hodnota)
    cat("\n")
    } else{cat("Vsledok je", hodnota)}

}
