
### ZADANIE
dopyt = c(130,80,125,195)
obmedzenia = c(100,100,100,100,60,65,70,60,15,70,70,70,70)
KF = c(6,4,8,9,8,6,10,11,1.5,1.5,1.5,1.5,0)
premenne = list( c("x1","x2","x3","x4"), c("y1","y2","y3","y4"), c("z1","z2","z3","z4","z5"))
znamienka = c(">=",">=",">=",">=","=","=","=","=")



###PLANOVANIE VYROBY
vyrob = function(KF,dopyt,obmedzenia, premenne,znamienka){

library("lpSolveAPI")
n = as.numeric(sum(sapply(premenne,length)))
m = as.numeric(length(znamienka))
l = as.numeric(length(premenne[][[2]]))

if(n!=as.numeric(length(obmedzenia)) || n!=as.numeric(length(KF)) || as.numeric(length(KF))!=as.numeric(length(obmedzenia))){
  return (cat("Dka vektora obmedzenie, KF a poet vetkch premennch mus by toton."))
  }

model = make.lp(0,n)

ohr1 = c(rep(1,1),rep(0,(l-1)))

ohranicenia1 = list()
k = 1
ohr = ohr1
for(j in 1:l){
  ohr1 = ohr
  tmp = ohr1[1]
  ohr1[1] = ohr1[j]
  ohr1[j] = tmp
  ohranicenia1[[k]] = ohr1
  k=k+1
}

k=1
ohranicenia = list()
for(i in 1:l){
  ohranicenia[[k]] = c(rep(ohranicenia1[][[i]],3),rep(0,1))
  k = k+1
}


p=0
for(i in 1:l){
  ohranicenia[[k]] = c(rep(ohranicenia1[][[i]],2),rep(0,(p)),rep(1,1),rep(-1,1),rep(0,(l-i)))
  k=k+1
  p=p+1
}

dopyt = rep(dopyt,(m/as.numeric(length(dopyt))))


for(i in 1:m){
add.constraint(model,c(ohranicenia[[i]][]), type = znamienka[i],rhs = dopyt[i])
}

set.objfn(model,c(KF))
set.bounds(model,lower=c(),upper=c(obmedzenia))

solve(model)
if((solve(model))==2){
  return(cat("loha nem rieenie."))
}
riesenie = get.variables(model)

riesenie = matrix(c(riesenie), nrow = n , ncol = 1)
colnames(riesenie) = "Hodnota"
rownames(riesenie) = unlist(premenne)
print(riesenie)
}


