
zmies = function(KF, prisada, zivina, znamienka, premenne){
  library("lpSolveAPI")
  n = as.numeric(length(prisada)+1)
  m = as.numeric(length(znamienka))
  
  for(i in 1:as.numeric(length(prisada))){
    if(as.numeric(length(prisada[[i]]))!=as.numeric(length(zivina))){
        return(cat("Dka vektora ivn nie je toton s niektorm vektorom zadanm v prsade."))
      }
    }
  
  model = make.lp(m,n)
  
  for(i in 1:(n-1)){
  set.column(model,i,c(prisada[[i]][],1))
  }
  
  p = as.numeric(length(zivina))
  vypln = rep(0,p)
  set.column(model,n,c(vypln,1))
  
  set.objfn(model,c(KF))
  set.constr.type(model,c(znamienka))
  set.rhs(model, c(zivina,1))
  colnames = premenne
  lp.control(model,sense='min')
  solve(model)
  if((solve(model))==2){
    return(cat("loha nem rieenie."))
  }
  vysledok = get.objective(model)
  hodnotaPremennej = c()
  h=1
  for(o in 1:n){
    hodnotaPremennej[h] = get.variables(model)[o]
    h=h+1
  }
  riesenie = matrix(c(hodnotaPremennej), nrow = n , ncol = 1)
  colnames(riesenie) = "Hodnota"
  rownames(riesenie) = premenne
  cat("Rieenie danho modelu vyzer nasledovne:")
  cat("\n")
  cat("\n")
  print(riesenie)
  cat("\n")
  cat("Hodnota kriterilnej funkcie je: ",vysledok)
}
