invest = function(naklady,zisk,max,znamienka){
library("lpSolveAPI")
n = as.numeric(length(naklady))

if(n!=as.numeric(length(zisk))){
  return(cat("Dka vektora nkladov a vektora ziskov nie s toton."))
}
model = make.lp(0,n)
add.constraint(model, naklady,type = c(znamienka), c(max))
set.type(model,1:n,type=c("binary"))
set.objfn(model,c(zisk))
lp.control(model,sense='max')
solve(model)
if((solve(model))==2){
  return(cat("loha nem rieenie."))
}
riesenie = get.variables(model)
vysledok = get.objective(model)
cat("Maximlny zisk ", vysledok, " dosiahneme, ak uskutonme investin akcie: ", riesenie, " 
(1 znamen uskutoni, 0 znamen neuskutoni)")
}

